Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1412748 - update to a newer snapshot
Summary: update to a newer snapshot
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-pkg-sftp
Version: 26
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2017-01-12 16:58 UTC by Dan Horák
Modified: 2017-03-30 11:53 UTC (History)
1 user (show)

Fixed In Version: golang-github-pkg-sftp-0-0.2.git4d0e916.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-30 11:53:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Dan Horák 2017-01-12 16:58:10 UTC
golang-github-pkg-sftp fails to build on s390 currently

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.n2Cy5h
+ umask 022
+ cd /builddir/build/BUILD
+ cd sftp-8197a2e580736b78d704be0fc47b2324c0591a32
+ export GOPATH=/builddir/build/BUILDROOT/golang-github-pkg-sftp-0-0.1.git8197a2e.fc26.s390x//usr/share/gocode:/usr/share/gocode
+ GOPATH=/builddir/build/BUILDROOT/golang-github-pkg-sftp-0-0.1.git8197a2e.fc26.s390x//usr/share/gocode:/usr/share/gocode
+ go test -compiler gc -ldflags '' github.com/pkg/sftp
# github.com/pkg/sftp
../../BUILDROOT/golang-github-pkg-sftp-0-0.1.git8197a2e.fc26.s390x/usr/share/gocode/src/github.com/pkg/sftp/server_statvfs_linux.go:19: stat.Fsid.X__val undefined (type syscall.Fsid has no field or method X__val)
FAIL	github.com/pkg/sftp [build failed]
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.n2Cy5h (%check)

but it has been fixed with the next commit (https://github.com/pkg/sftp/commit/4d0e916071f68db74f8a73926335f809396d6b42)

It's related to https://bugzilla.redhat.com/show_bug.cgi?id=1404679 and https://github.com/golang/go/issues/18628

Version-Release number of selected component (if applicable):
golang-github-pkg-sftp-0-0.1.git8197a2e.fc26

Comment 1 Jan Chaloupka 2017-02-03 10:38:36 UTC
Building rawhide now https://koji.fedoraproject.org/koji/taskinfo?taskID=17564001

Comment 2 Dan Horák 2017-02-03 12:14:49 UTC
built on s390x as https://s390.koji.fedoraproject.org/koji/buildinfo?buildID=455349

Comment 3 Fedora End Of Life 2017-02-28 10:56:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.


Note You need to log in before you can comment on or make changes to this bug.